Skip to Content
veriom

Connector catalog

GET
/v1/workspaces/{workspace_id}/connector-catalog

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
items*array<>
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/connector-catalog'
Example Response
{  "items": [    {      "airbyte_source_type": "string",      "auth_modes": [        "string"      ],      "capabilities": [        "string"      ],      "default_sync_cadence_seconds": 0,      "description": "string",      "evidence_types": [        "string"      ],      "family": "string",      "key": "string",      "lifecycle": "active",      "name": "string",      "owner": "string",      "required_scopes": [        "string"      ],      "setup_fields": [        {          "auth_modes": [            "string"          ],          "help": "string",          "key": "string",          "kind": "text",          "label": "string",          "location": "credentials",          "placeholder": "string",          "required": true        }      ],      "transport": "airbyte",      "webhook_support": true    }  ]}